---
id: img4
title: img4
hide_title: true
hide_table_of_contents: true
sidebar_label: img4
description: Parse and manipulate IMG4 files
---
## ipsw img4

Parse and manipulate IMG4 files

```
ipsw img4 [flags]
```

### Options

```
  -h, --help   help for img4
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw img4 create](/docs/cli/ipsw/img4/create)	 - Create an IMG4 file
* [ipsw img4 extract](/docs/cli/ipsw/img4/extract)	 - Extract IMG4 components
* [ipsw img4 im4m](/docs/cli/ipsw/img4/im4m)	 - IM4M manifest operations
* [ipsw img4 im4p](/docs/cli/ipsw/img4/im4p)	 - IM4P payload operations
* [ipsw img4 im4r](/docs/cli/ipsw/img4/im4r)	 - IM4R restore info operations
* [ipsw img4 info](/docs/cli/ipsw/img4/info)	 - Display IMG4 file information

